blk_queue_max_segment_size
Prev | Chapter 17. Block Devices | Next

## Name

blk_queue_max_segment_size — set max segment size for blk_rq_map_sg

## Synopsis

`void blk_queue_max_segment_size (` | struct request_queue * | q,
| unsigned int | max_size`)`;

## Arguments

`q`

  the request queue for the device

`max_size`

  max size of segment in bytes

## Description

Enables a low level driver to set an upper limit on the size of a coalesced segment

Prev | Up | Next
blk_queue_max_hw_segments | Home | blk_queue_hardsect_size